/***************************************************************************
 *
 * Copyright (C) 2001 International Business Machines
 * All rights reserved.
 *
 * This file is part of the GPFS mmfslinux kernel module.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer. 
 *  2. Redistributions in binary form must reproduce the above copyright 
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution. 
 *  3. The name of International Business Machines may not be used to endorse 
 *     or promote products derived from this software without specific prior 
 *     written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Alternatively, provided that this notice is retained in full, this
 * software may be distributed under the terms of the GNU General
 * Public License ("GPL") as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version,
 * in which case the provisions of the GPL apply INSTEAD OF those given above.
 *
 ****************************************************************************/
/* @(#)80       1.5  src/avs/fs/mmfs/ts/kernext/gpl-linux/ibmInitWrap.C, mmfs, avs_rche, rche0933a 1/31/08 16:16:49 */
/* 
 * This file is used for building the mmfs module for 2.4 kernels
 * so that the correct kernel release information is incorporated 
 * into the module, avoiding force loading the module.
 */

#include <linux/version.h>
#include <cxiSystem.h>
#include <cxiTypes.h>

#ifdef MODULE
extern "C" const char __gpfs_kernel_version[] __attribute__ \
((section(".modinfo"))) = "kernel_version=" UTS_RELEASE;
extern "C" const char __gpfs_license[] __attribute__ \
((section(".modinfo"))) = "license=GPL";
extern "C" const char __gpfs_author[] __attribute__ \
((section(".modinfo"))) = "author=IBM <gpfs@us.ibm.com>";
extern "C" const char __gpfs_description[] __attribute__ \
((section(".modinfo"))) = "description=GPFS kernel module";
extern "C" const char __gpfs_supported[] __attribute__ \
((section(".modinfo"))) = "supported=external";
#else /* ! MODULE */
extern "C" int portability_init(void);
extern "C" void portability_cleanup(void);
#endif /* MODULE */

